Create a pricing plan subscription and schedule. This will also result in a first invoice being created for the provided pricing plan schedule and subscription.

Requires the PRICING_PLAN_SUBSCRIPTION.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
pricing_plan_scheduleslist of objectsRequired
Details of the schedule for subscription.
customerobject or nullOptional
Details of the customer.
pricing_plan_subscriptionobjectOptional
Details of the subscription.
first_paymentobjectOptional
The first payment made, if any, for the pricing plan subscription's initial invoice.
payment_methodobjectOptional
Details of the payment method.
pricing_plan_subscription_start_atdatetime or nullOptional

In case of a template pricing plan subscription, indicate if the start_at should be updated.

enabled_pricingslist of objects or nullOptional
entitlements_summaryobject or nullOptional
Details of the all entitlements for this customer based on all their active subscriptions.
invoiceobject or nullOptional
The first invoice created as a result of this subscription.

Response

OK
pricing_plan_scheduleslist of objects
Details of the schedule for subscription.
customerobject or null
Details of the customer.
pricing_plan_subscriptionobject
Details of the subscription.
first_paymentobject
The first payment made, if any, for the pricing plan subscription's initial invoice.
payment_methodobject
Details of the payment method.
pricing_plan_subscription_start_atdatetime or null

In case of a template pricing plan subscription, indicate if the start_at should be updated.

enabled_pricingslist of objects or null
entitlements_summaryobject or null
Details of the all entitlements for this customer based on all their active subscriptions.
invoiceobject or null
The first invoice created as a result of this subscription.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error